#ifndef	__HTTPUTIL_H__
#define	__HTTPUTIL_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "w5500/w5500.h"
#include "config.h"
#include "util.h"
#include "w5500/spi2.h"
#include "device.h"

#include "httpd.h"

#include "w5500/socket.h"
#include "sockutil.h"
#include "util.h"


void proc_http(SOCKET s, u_char * buf);
void do_http(void);
void cgi_ipconfig(st_http_request *http_request);



void make_cgi_response(uint16 a,int8* b,int8* c);

#endif